<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/обновления шаблона данных.
 * 
 * Файл: /admin/templates/data_templates/action/add_data_template.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$data_templates = new templates();

$templates_group_parent_id = to_int($_REQUEST['templates_group_parent_id']);

$site_id = to_int($_REQUEST['site_id']);

// Если был изменен текущий сайт и идентификатор родительского номера не 0 (т. е. не корень), то мы должны установить родительским элементом корневой каталог, т.к. выбранного родительского элемента в целевом cайте может не быть
if ($site_id != CURRENT_SITE && $templates_group_parent_id != 0) 
{
	$templates_group_parent_id = 0;
}

if ($insert_data_template_id = $data_templates->insert_data_templates(
to_int($_REQUEST['data_templates_id']) > 0 ? 1 : 0,
to_int($_REQUEST['data_templates_id']),
$templates_group_parent_id ,
trim(to_str($_REQUEST['data_templates_value'])),
to_str($_REQUEST['data_templates_name']),
to_str($_REQUEST['data_templates_description']),
to_str($_REQUEST['data_templates_order']), false, $site_id))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddDataTemplate', 'data_templates_id', '<?php echo $insert_data_template_id?>');
	</script><?php

	// Шаблон страниц отредактирован
	if ($_REQUEST['data_templates_id'])
	{
		show_message($GLOBALS['MSG_templates']['data_templates_edit_success']);
	}
	else // Шаблон страниц добавлен
	{
		show_message($GLOBALS['MSG_templates']['data_templates_add_success']);
	}
}
else // Ошибка добавления/редактирования шаблона данных
{
	// Ошибка редактирования шаблона данных
	if ($_REQUEST['data_templates_id'])
	{
		show_error_message($GLOBALS['MSG_templates']['data_templates_edit_error']);
	}
	else // Ошибка добавления шаблона данных
	{
		show_error_message($GLOBALS['MSG_templates']['data_templates_add_error']);
	}
}
?>